# Describe MongoDB Instance - DescribeUMongoDBInstance

## Overview

Describe MongoDB Instance






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeUMongoDBInstance`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **ClusterId** | string | Instance Resource ID |**Yes**|
| **ClusterType** | string | Cluster Type, ReplicaSet: Replica Set, SharedCluster: Sharded Cluster |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **ClusterInfo** | [*ClusterInfo*](#clusterinfo) | Replica Set Information |No|

#### Data Model


#### ClusterInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Zone** | string | Availability Zone |No|
| **ZoneId** | int |  |No|
| **ClusterType** | string | Cluster Type, ReplicaSet: Replica Set, SharedCluster: Sharded Cluster |No|
| **ClusterId** | string | Cluster ID |No|
| **InstanceName** | string | Instance Name |No|
| **State** | string | Replica Set/Shard Cluster Status Tags: Initing: Initializing, InitFailed: Installation Failed, Starting: Starting, StartFailed: Start Failed, Running: Running, Stopping: Stopping, Stopped: Stopped, StopFailed: Stop Failed, Deleting: Deleting, Deleted: Deleted, DeleteFailed: Delete Failed, Restarting: Restarting, RestartFailed: Restart Failed, Upgrading: Upgrading, UpgradeFailed: Upgrade Failed, Switching: Switching Primary/Secondary, UpdatingSSL: Updating SSL, UpdateSSLFail: Update SSL Failed |No|
| **DBVersion** | string | Version of Mongodb Replica Set |No|
| **DiskSpace** | int | Disk Space (GB), default according to configuration model |No|
| **MachineTypeId** | string | Computing Specifications |No|
| **CreateTime** | int | DB Instance Creation Time |No|
| **ConfigReplicaInfo** | [*ReplicaInfo*](#replicainfo) | ConfigSrv Information |No|
| **DataReplicaInfos** | array[[*ReplicaInfo*](#replicainfo)] | Data Replica Information |No|
| **MongosInfo** | array[[*NodeInfo*](#nodeinfo)] | Mongos Node Information |No|
| **ConnectURL** | string | Access address of the replica set |No|
| **DeleteTime** | int | DB Instance Deletion Time |No|
| **SubnetId** | string | Subnet ID |No|
| **VPCId** | string | ID of VPC |No|
| **ShardCount** | int | Number of Shards, Valid Shard Set |No|
| **ShardNodeCount** | int | The number of nodes per shard, the shard set is valid. |No|
| **MongosCount** | int | The number of Mongos nodes, the shard set is valid |No|
| **ConfigNodeCount** | int | Configure the number of cluster nodes, effective shard set |No|
| **ConfigMachineType** | string | Config configuration cluster node configuration, effective shard set |No|
| **Tag** | string | UBI |No|
| **DataComputeType** | [*MongodbMachineType*](#mongodbmachinetype) | Data Node Calculation Specifications |No|
| **ConfigComputeType** | [*MongodbMachineType*](#mongodbmachinetype) | Configure Node Calculation Specifications |No|
| **MongosComputeType** | [*MongodbMachineType*](#mongodbmachinetype) | Routing Node Calculation Specification |No|
| **CrossZones** | array[string] | Cross Zone List |No|
| **EnableSSL** | int |  |No|
| **SSLExpirationTime** | int |  |No|

#### ReplicaInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ReplicaId** | string | Replica Set ID |No|
| **ClusterId** | string | Cluster ID |No|
| **ReplicaType** | string | Replica Type, ConfigRepl or DataRepl |No|
| **State** | string | Replica Set/Sharded Cluster Status Tags: Initing: Initializing, InitFailed: Installation Failed, Starting: Starting, StartFailed: Start Failed, Running: Running, Stopping: Shutting Down, Stopped: Shut Down, StopFailed: Shutdown Failed, Deleting: Deleting, Deleted: Deleted, DeleteFailed: Deletion Failed, Restarting: Restarting, RestartFailed: Restart Failed. |No|
| **MachineType** | string | Machine Type |No|
| **MachineTypeId** | string | Machine Type Id |No|
| **IsolationGroupId** | string | Isolation Group ID |No|
| **NodeInfos** | array[[*NodeInfo*](#nodeinfo)] | Node information under the replica set |No|
| **NodeCount** | int | The number of nodes under the replica set |No|
| **CreateTime** | int | Replica Set Creation Time |No|
| **DeleteTime** | int | Replica Set Deletion Time |No|
| **ModifyTime** | int | Replica Set Modification Time |No|

#### NodeInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Zone** | string | Availability Zone |No|
| **ZoneId** | int | Availability Zone ID |No|
| **NodeId** | string | Node ID |No|
| **NodeRole** | string | Node Role, Primary/Secondary/Arbiter/Startup, etc. |No|
| **NodeType** | string | Node Type |No|
| **State** | string | Replica Set/Sharded Cluster Status Tags: Initing: Initializing, InitFailed: Installation Failed, Starting: Starting, StartFailed: Start Failed, Running: Running, Stopping: Shutting Down, Stopped: Shut Down, StopFailed: Shutdown Failed, Deleting: Deleting, Deleted: Deleted, DeleteFailed: Deletion Failed, Restarting: Restarting, RestartFailed: Restart Failed. |No|
| **DBVersion** | string | Version of Mongodb Replica Set |No|
| **ClusterId** | string | ID of the replica set to which the node belongs |No|
| **VirtualClusterId** | string | Virtual Node ID |No|
| **MachineType** | string | Model Information |No|
| **MachineTypeId** | string | Model Information ID |No|
| **CreateTime** | int | DB Instance Creation Time |No|
| **DataDisk** | [*DiskInfo*](#diskinfo) | Data Disk Information |No|
| **SysDisk** | [*DiskInfo*](#diskinfo) | System Disk Information |No|

#### MongodbMachineType

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **MachineTypeId** | string | Machine type ID o.mongo2m.medium, o.mongo2m.xlarge |**Yes**|
| **Description** | string | Configuration Abbreviation 2C4G |**Yes**|
| **Cpu** | int | CPU Cores |**Yes**|
| **Memory** | int | Memory Usage (GB) |**Yes**|
| **UHhostMachineType** | string | Machine Type, N/O |No|
| **Group** | string | Configuration Group, 2m, 4m |No|

#### DiskInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **DiskId** | string | Disk ID |No|
| **DiskSize** | int | Disk Capacity Unit GB |No|

## Example

### Request Example
    
```
https://api.genesissai.com/?Action=DescribeUMongoDBInstance
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=pismPnWj
&ClusterId=qhvujvIg
&ClusterType=Hxrfshbu
```

### Response Example
    
```json
{
  "Action": "DescribeUMongoDBInstanceResponse",
  "ClusterInfo": {},
  "RetCode": 0
}
```





